-- EMPTY TEMPLATE -- 
-- Fill with what functions you need --


-- ## System functions ##

function InitVars ()

    -- uncomment to disable display
    -- AutopilotDisplayBlocked ()

    function toggleMe(toggleVar)
        toggleNumber=ipc.readLvar(toggleVar)

        if toggleNumber == 0 then
            toggleNumber = 1
        else
            toggleNumber = 0
        end
        ipc.writeLvar(toggleVar, toggleNumber)
    end

    function enableMe(enableVar)
        ipc.writeLvar(enableVar,1)
    end

    function disableMe(disableVar)
        ipc.writeLvar(disableVar,0)
    end

    function increaseMe(incVar, step, maximum)

        currentPos=ipc.readLvar(incVar)
        if currentPos<maximum

        then
            currentPos=currentPos + step
            if currentPos < maximum
            then
                ipc.writeLvar(incVar,currentPos)
            else
                ipc.writeLvar(incVar,maximum)
            end
        end


    end

    function decreaseMe(decVar,step,minimum)
        currentPos=ipc.readLvar(decVar)
        if currentPos>minimum

        then
            currentPos=currentPos - step
            if currentPos > minimum
            then
                ipc.writeLvar(decVar,currentPos)
            else
                ipc.writeLvar(decVar,minimum)
            end
        end

    end

    function setFuelSelector(selNumber)
        ipc.control(65962,selNumber)
        ipc.writeLvar("FIP_Fuel_Tank_Selector",selNumber)
    end

-- ## Fuel and Magnetos ##
    function wobblePump()

        if ipc.readLvar("DHC2_WobblePumpHandle")==0

        then
            ipc.writeLvar("DHC2_WobblePumpHandle",1)
        end
    end



    function fuelBoostPumpOn()
        enableMe("DHC2_FuelBoostPumpSwitch")
    end

    function fuelBoostPumpOff()
        disableMe("DHC2_FuelBoostPumpSwitch")
    end

    function fuelBoostPumpToggle()
        toggleMe("DHC2_FuelBoostPumpSwitch")
    end



    function primer()

        if ipc.readLvar("DHC2_PrimerSet")==0

        then
            ipc.writeLvar("DHC2_PrimerSet",1)
        end
    end

    function magnetoOff()
        disableMe("ESP_MagnetoSwitch")
    end

    function magnetoInc()
        increaseMe("ESP_MagnetoSwitch",1,3)
    end


    function magnetoDec()
        decreaseMe("ESP_MagnetoSwitch",1,0)
    end

    function magnetoL()
        ipc.writeLvar("ESP_MagnetoSwitch",2)
    end

    function magnetoR()
        ipc.writeLvar("ESP_MagnetoSwitch",1)
    end

    function magnetoBoth()
        ipc.writeLvar("ESP_MagnetoSwitch",3)
    end


    function fuelOff()
        setFuelSelector(5)
    end

    function fuelMoveCounterClockwise()
        currentTank=ipc.readLvar("FIP_Fuel_Tank_Selector")
        if currentTank==5
            then fuelAft()
            else
                currentTank=currentTank-1
                setFuelSelector(currentTank)
        end
    end


    function fuelMoveClockwise()
        currentTank=ipc.readLvar("FIP_Fuel_Tank_Selector")
        if currentTank==8
            then fuelOff()
            else
                currentTank=currentTank+1
                setFuelSelector(currentTank)
        end
    end

    function fuelForward()

        setFuelSelector(6)
    end

    function fuelCenter()
        setFuelSelector(7)
    end

    function fuelAft()
        setFuelSelector(8)
    end


-- ## Lights ##
    function instrumentLightsOn()
        enableMe("ESP_Inst_Light")
    end

    function instrumentLightsOff()
        disableMe("ESP_Inst_Light")
    end

    function instrumentLightsToggle()
        toggleMe("ESP_Inst_Light")
    end



    function beaconLightsOn()
        enableMe("ESP_Beacon_Light")
    end

    function beaconLightsOff()
        disableMe("ESP_Beacon_Light")
    end

    function beaconLightsToggle()
        toggleMe("ESP_Beacon_Light")
    end



    function strobeLightsOn()
        enableMe("ESP_Pulse_Light")
    end

    function strobeLightsOff()
        disableMe("ESP_Pulse_Light")
    end

    function strobeLightsToggle()
        toggleMe("ESP_Pulse_Light")
    end



    function navLightsOn()
        enableMe("ESP_Nav_Light")
    end

    function navLightsOff()
        disableMe("ESP_Nav_Light")
    end

    function navLightsToggle()
        toggleMe("ESP_Nav_Light")
    end



    function landingLightsOn()
        enableMe("ESP_Land_Light")
    end

    function landingLightsOff()
        disableMe("ESP_Land_Light")
    end

    function landingLightsToggle()
        toggleMe("ESP_Land_Light")
    end



    function cabinLightsOn()
        enableMe("ESP_Cabin_Light")
    end

    function navLightsOff()
        disableMe("ESP_Cabin_Light")
    end

    function navLightsToggle()
        toggleMe("ESP_Cabin_Light")
    end

-- ## Electrics and Avionics ##

    function batteryOn()
        enableMe("DHC2_MasterBattery")
    end

    function batteryOff()
        disableMe("DHC2_MasterBattery")
    end

    function batteryToggle()
        toggleMe("DHC2_MasterBattery")
    end



    function alternatorOn()
        enableMe("Master Alternator")
    end

    function alternatorOff()
        disableMe("Master Alternator")
    end

    function alternatorToggle()
        toggleMe("Master Alternator")
    end



    function avionicsOn()
        enableMe("ESP_Radios_Switch")
    end

    function avionicsOff()
        disableMe("ESP_Radios_Switch")
    end

    function avionicsToggle()
        toggleMe("ESP_Radios_Switch")
    end

-- ## Other systems ##

    function decCarbHeat()
        increaseMe("DHC2_CarbHeatHandle",2,100)
    end

    function incCarbHeat()
        decreaseMe("DHC2_CarbHeatHandle",2,0)
    end

    function decCarbHeatFast()
        increaseMe("DHC2_CarbHeatHandle",10,100)
    end

    function incCarbHeatFast()
        decreaseMe("DHC2_CarbHeatHandle",10,0)
    end



    function pitotOn()
        enableMe("ESP_Pitot_Heat")
    end

    function pitotOff()
        disableMe("ESP_Pitot_Heat")
    end

    function pitotToggle()
        toggleMe("ESP_Pitot_Heat")
    end

end